# eric3.Debugger.eric3dbgstub

Module implementing a debugger stub for remote debugging.

### Classes

None

### Functions

initDebugger | Module function to initialize a debugger for remote debugging.
runcall | Module function mimicing the Pdb interface.
setScriptname | Module function to set the scriptname to be reported back to the IDE.
startDebugger | Module function used to start the remote debugger.

## initDebugger

initDebugger(kind="standard")

Module function to initialize a debugger for remote debugging.

kind
  type of debugger ("standard", "noqt" or "threads")

Returns:
  flag indicating success (boolean)

Up

## runcall

runcall(func, *args)

Module function mimicing the Pdb interface.

*args
  arguments being passed to func
func
  function to be called (function object)

Returns:
  the function result

Up

## setScriptname

setScriptname(name)

Module function to set the scriptname to be reported back to the IDE.

name
  absolute pathname of the script (string)

Up

## startDebugger

startDebugger(enableTrace=1)

Module function used to start the remote debugger.

enableTrace
  flag to enable the tracing function (boolean)

Up